import http from '../utils/http/http.js'
// 获取资源列表
const  getProductList=  (params) => {
    return http.post('/productAll', params)
};
// 获取资源详情
const   getProductDetail= (params) => {
    return http.get('/product', params)
};
// 添加资源
const   addProduct= (params) => {
    return http.post('/product', params)
};
// 修改资源
const  updateProduct=(params) => {
    return http.put('/product', params)
};
// 删除资源
const   deleteProduct= (params) => {
    return http.del('/product', params)
}
export default {
    getProductList, getProductDetail, addProduct, updateProduct, deleteProduct
}