import http from '../utils/http/http.js'
// 获取资源列表
const getResourceList = (params) => {
    return http.post('/resource', params)
};
// 获取资源详情
const getResourceDetail = (params) => {
    return http.get('/resource', params)
};
// 添加资源
const addResource = (params) => {
    return http.post('/upload', params)
};
// 修改资源
const updateResource = (params) => {
    return http.put('/updateResource', params)
};
// 删除资源
const deleteResource = (params) => {
    return http.del('/resource', params)
}
const uploadResource = (params) => {
    return http.post('/upload', params)
}

export default {
    getResourceList, getResourceDetail, addResource, updateResource, deleteResource,uploadResource
}